﻿using System;
using System.Windows.Forms;
using Protobuf_Gui.Controls;

namespace Protobuf_Gui
{
    public interface IMain
    {
        event EventHandler BeginOpen;

        event EventHandler BeginSave;

        event EventHandler BeginExit;

        event EventHandler ShowAbout;

        event EventHandler BeginNew;

        Form AsForm { get; }

        event Action<TreeNode> NodeSelected;

        TreeNode SelectedNode { get; }

        event Action<Operation> DoOperation;
    }
}