﻿using System;

namespace Protobuf_Gui.Domain
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = true)]
    public class ContainTypeAttribute : Attribute
    {
        public Type Type { get; set; }
        public string Name { get; set; }

        public ContainTypeAttribute(Type type, string name)
        {
            Type = type;
            Name = name;
        }
    }
}